MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032337Open CASCADE[OCCT] OCCT:Visualizationpublic2021-04-28 09:502021-05-13 20:03
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusresolvedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032337: Visualization - rename Overlaps() method in selection to more self-describable names
DescriptionSelection defines numerous overloaded methods called Overlaps() for point, AABB, triangle, segment.
Although it is possible deducing the method purpose from the list of its arguments, this is not straight-forward and might be misleading in some cases.

It is proposed renaming these methods to have primitive type in the name.
Overlaps() might be preserved for compatibility redirecting to new ones.
Steps To ReproduceNot required
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0032182resolvedkgv Visualization - add Select3D_SensitiveSphere 
related to 0032338assignedosa Visualization - provide straightforward interface for ray-picking 

-  Notes
(0100918)
git (administrator)
2021-05-12 17:49

Branch CR32337 has been created by mkrylova.

SHA-1: 3dfc6de5cda3a60c079812fb435a2f7c322b044e


Detailed log of new commits:

Author: mkrylova
Date: Wed May 12 16:39:17 2021 +0300

    0032337: Visualization - rename Overlaps() method in selection to more self-describable names
    
    - renamed Overlaps and hasOverlap overloaded methods to self-describable names
(0100920)
mkrylova (developer)
2021-05-12 18:20

Solution Implementation, Testing
(0100922)
kgv (developer)
2021-05-12 18:30

Please also handle
> Overlaps() might be preserved for compatibility redirecting to new ones.
Overlaps() methods should be preserved at high-level API (e.g. SelectMgr_SelectingVolumeManager class) as non-virtual deprecated methods redirected to new methods.

Please also check compilation of samples, OCC Products and start Jenkins job.
(0100942)
git (administrator)
2021-05-13 12:44

Branch CR32337 has been updated by mkrylova.

SHA-1: 1ce11103fe71c08c1be588d4c2c8a5bb9ebe6b8e


Detailed log of new commits:

Author: mkrylova
Date: Thu May 13 12:46:29 2021 +0300

    # kgv remarks:
    - restored Overlaps() methods as non-virtual and deprecated

(0100943)
git (administrator)
2021-05-13 12:47

Branch CR32337_1 has been created by mkrylova.

SHA-1: 38a2e8afbe4065a0d9a1e4dd03681660307ce70a


Detailed log of new commits:

Author: mkrylova
Date: Wed May 12 16:39:17 2021 +0300

    0032337: Visualization - rename Overlaps() method in selection to more self-describable names
    
    - renamed Overlaps and hasOverlap overloaded methods to self-describable names
(0100953)
mkrylova (developer)
2021-05-13 20:03

Solution implementation

- Issue History
Date Modified Username Field Change
2021-04-28 09:50 kgv New Issue
2021-04-28 09:50 kgv Assigned To => mkrylova
2021-04-28 09:50 kgv Relationship added related to 0032182
2021-05-12 17:49 git Note Added: 0100918
2021-05-12 17:50 mkrylova Assigned To mkrylova => kgv
2021-05-12 17:50 mkrylova Status new => resolved
2021-05-12 17:50 mkrylova Steps to Reproduce Updated View Revisions
2021-05-12 18:20 mkrylova Note Added: 0100920
2021-05-12 18:30 kgv Note Added: 0100922
2021-05-12 18:31 kgv Assigned To kgv => mkrylova
2021-05-12 18:31 kgv Status resolved => assigned
2021-05-12 18:48 kgv Relationship added related to 0032338
2021-05-13 12:44 git Note Added: 0100942
2021-05-13 12:47 git Note Added: 0100943
2021-05-13 12:47 mkrylova Assigned To mkrylova => kgv
2021-05-13 12:47 mkrylova Status assigned => resolved
2021-05-13 20:03 mkrylova Note Added: 0100953


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker